Bug 579148 - Pinned Items Do Not Always Display in the Area Reserved for Them
Summary: Pinned Items Do Not Always Display in the Area Reserved for Them
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-activity-journal
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mads Villadsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-02 21:31 UTC by David Le Sage
Modified: 2011-06-27 15:23 UTC (History)
1 user (show)

Fixed In Version: gnome-activity-journal-0.3.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:23:45 UTC


Attachments (Terms of Use)
Screenshot showing the regression - no context menu option to "unpin" pinned item. ("Pin" option still there even though it is already pinned.) (22.15 KB, image/png)
2010-05-14 01:22 UTC, David Le Sage
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 561858 None None None Never

Description David Le Sage 2010-04-02 21:31:06 UTC
Description of problem:
If the user right-clicks on an item and attempts to pin it, it may or may not appear in the area for pinned items (bug does not occur consistently.) 

Version-Release number of selected component (if applicable):
0.3.3

How reproducible:
Sometimes - not happening consistently.

Steps to Reproduce:
1. Launch the Activity Journal.
2. Right-click on an item from today and choose to pin it.
3. Does not appear in the pinned area.
4. Right-clicking item again shows the option has changed to unpinning it, so it has definitely registered as being pinned; it just hasn't displayed in the area reserved for pinned items.
  
Actual results:
Does not display in area reserved for pinned items.

Expected results:
Should display in current day's area for pinned items.

Additional info:

Comment 1 Mads Villadsen 2010-04-12 21:47:14 UTC
Reported upstream here: https://bugs.launchpad.net/gnome-activity-journal/+bug/561858

Comment 2 Fedora Update System 2010-05-13 13:00:22 UTC
gnome-activity-journal-0.3.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4-1.fc13

Comment 3 Fedora Update System 2010-05-13 19:30:59 UTC
gnome-activity-journal-0.3.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-activity-journal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gnome-activity-journal-0.3.4-1.fc13

Comment 4 David Le Sage 2010-05-14 01:11:31 UTC
This one seems to be only partially fixed.  Pinning now works but, if you right-click on a pinned item, there is no context menu option to "unpin" it again.  (The option to pin it is still there, which is useless if it is already pinned.)


Fortunately, the user can just click on the "pin" icon to unpin it but the right-click context menu still needs to be fixed.

Comment 5 David Le Sage 2010-05-14 01:22:49 UTC
Created attachment 413930 [details]
Screenshot showing the regression - no context menu option to "unpin" pinned item.  ("Pin" option still there even though it is already pinned.)

Comment 6 Fedora Update System 2010-05-31 18:12:20 UTC
gnome-activity-journal-0.3.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Mads Villadsen 2010-05-31 18:39:08 UTC
Mistakenly closed when pushing 0.3.4 to stable

Comment 8 Bug Zapper 2011-06-02 15:43:43 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-27 15:23:45 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.